SoapClient->__getLastResponseHeaders
SoapClient->__setCookie
SOAP Functions
PHP Manual

# SoapClient->__getTypes

(No version information available, might be only in CVS)

SoapClient->__getTypes — Returns list of SOAP types

### Description

SoapClient
array __getTypes ( void )

This function works only in WSDL mode.

### Return Values

The list of SOAP types.

### Examples

Example #1 SoapClient->__getTypes() example

`<?php
$client = new SoapClient("some.wsdl");
var_dump($client->__getTypes());
?>`

### See Also

- SoapClient->__construct

SoapClient->__getLastResponseHeaders
SoapClient->__setCookie
SOAP Functions
PHP Manual